package sgc.portal.cw.cw0205.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0205.dto.CW02050001USearch;
import sgc.portal.cw.cw0205.model.CW02050001U;
import sgc.portal.cw.cw0205.persistence.CW02050001UMapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW02050001UService {
    private final CW02050001UMapper mapper;

    public CW02050001UService(CW02050001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW02050001USearch search) {
        return mapper.getList(search);
    }
    
    public List<EasyHashMap<String, Object>> getList2(CW02050001USearch search) {
        return mapper.getList2(search);
    }

}
